using System.Data;
using System.Data.OleDb;
namespace AdhiC.db
{
	/// <summary>
	/// Summary description for AdhiOleDBConnection.
	/// </summary>
	public class AdhiOleDBConnection : AdhiDBConnection
	{
		//constructs a connection object
		public AdhiOleDBConnection()
		{
			 Connection = new OleDbConnection();
		}

		//sets the connection string
        public override void setConnectionString(string connectionString)
			{
				((OleDbConnection)Connection).ConnectionString = connectionString;;
				//connection.ConnectionString = connectionString;
			}

		//gets the state of the connection
        public override ConnectionState getState() 
			{
				ConnectionState state=0;
		        if(Connection != null )
				  {
				    state =((OleDbConnection)Connection).State;
				   }
				return state;
			}

		//opens a connection
        public override void Open()
		{
            if(Connection != null)
			{
                ((OleDbConnection)Connection).Open();
			}		
		 }

        //closes a connection
        public override void Close()
		{
            if(Connection !=null)
			{
			 ((OleDbConnection)Connection).Close();
			}
			}

	}
}
